swilgt(1)

NAME
swilgt - Logtalk integration script for SWI-Prolog

SYNOPSIS
swilgt [-g goal]

DESCRIPTION
swilgt is a Logtalk integration script for SWI-Prolog. It automatically loads the SWI-Prolog adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories.

OPTIONS

-g  goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
SWI-Prolog 6.6.0 or later is required. This integration script looks for a "swipl" executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_swi.pl
    Prolog file used for loading the necessary files for starting Logtalk using SWI-Prolog as the backend compiler.

$LOGTALKHOME/adapters/swi.pl
    The SWI-Prolog adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

$LOGTALKHOME/adapters/swihooks.pl
    Hooks file for supporting loading Logtalk entities using SWI-Prolog load_files/2 and consult/1 predicates and to support edit/1 and make/0.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

The SWI-Prolog website at http://www.swi-prolog.org/

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2021 Paulo Moura.